Bug 966725 - [abrt] shotwell-0.13.1-1.fc18: tag_source_collection_real_notify_container_contents_removed: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
[abrt] shotwell-0.13.1-1.fc18: tag_source_collection_real_notify_container_co...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:4d6ff6d336202178cdd15eb9da8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 15:09 EDT by Chris Carson
Modified: 2014-02-05 16:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:30:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.49 KB, text/plain)
2013-05-23 15:09 EDT, Chris Carson
no flags Details
File: cgroup (129 bytes, text/plain)
2013-05-23 15:10 EDT, Chris Carson
no flags Details
File: dso_list (14.90 KB, text/plain)
2013-05-23 15:10 EDT, Chris Carson
no flags Details
File: environ (1.52 KB, text/plain)
2013-05-23 15:10 EDT, Chris Carson
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-23 15:10 EDT, Chris Carson
no flags Details
File: maps (50.38 KB, text/plain)
2013-05-23 15:10 EDT, Chris Carson
no flags Details
File: open_fds (2.84 KB, text/plain)
2013-05-23 15:10 EDT, Chris Carson
no flags Details
File: proc_pid_status (802 bytes, text/plain)
2013-05-23 15:10 EDT, Chris Carson
no flags Details
File: smolt_data (2.63 KB, text/plain)
2013-05-23 15:10 EDT, Chris Carson
no flags Details

  None (edit)
Description Chris Carson 2013-05-23 15:09:51 EDT
Description of problem:
I was working on a library of about ~9.5K photos that I had recently imported into shotwell.  I was renaming tags and moving tags to subtags.

I'll give my tag names here in case that is useful.  Immediately before the crash I renamed "Pantheon" to "Rome - Pantheon" and then quickly moved it to "Places"/"Italy".  I run a fairly slow atom-based system and these renaming operations seem to complete slowly, so I may have outrun a thred operation by renaming and moving so quickly.

Regards
Chris

(When reviewing open_fds I saw a log file was open, extracted following text)

64834:584] HandleOnlineCheck: Starting check
[64834:584] HandleOnlineCheck: OK; current state: 3
[64837:295] HandleOnlineCheck: Starting check
[64837:295] HandleOnlineCheck: OK; current state: 3
[64837:797] HandleOnlineCheck: Starting check
[64837:798] HandleOnlineCheck: OK; current state: 3
L 26013 2013-05-23 13:42:20 [CRT] Directory NikonPreview: Next pointer is out of bounds; ignored.

**
ERROR:/builddir/build/BUILD/shotwell-0.13.1/src/Tag.vala:254:tag_source_collection_real_notify_container_contents_removed: assertion failed: (is_removed)
Window manager warning: CurrentTime used to choose focus window; focus window may not be correct.
Window manager warning: Got a request to focus 0x380007f (7-Day Fore) with a timestamp of 0.  This shouldn't happen!
Window manager warning: CurrentTime used to choose focus window; focus window may not be correct.
Window manager warning: Got a request to focus the no_focus_window with a timestamp of 0.  This shouldn't happen!

Version-Release number of selected component:
shotwell-0.13.1-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        shotwell
core_backtrace: 
crash_function: tag_source_collection_real_notify_container_contents_removed
executable:     /usr/bin/shotwell
kernel:         3.9.2-200.fc18.i686
uid:            1000
ureports_counter: 1
var_log_messages: May 23 13:55:42 frtv abrt[31431]: Saved core dump of pid 26013 (/usr/bin/shotwell) to /var/tmp/abrt/ccpp-2013-05-23-13:55:34-26013 (312516608 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 tag_source_collection_real_notify_container_contents_removed at /usr/src/debug/shotwell-0.13.1/src/Tag.vala:254
 #6 container_source_collection_notify_container_contents_removed at /usr/src/debug/shotwell-0.13.1/src/core/ContainerSourceCollection.vala:70
 #7 tag_real_destroy at /usr/src/debug/shotwell-0.13.1/src/Tag.vala:1172
 #8 data_source_destroy at /usr/src/debug/shotwell-0.13.1/src/core/DataSource.vala:340
 #9 source_collection_destroy_source at /usr/src/debug/shotwell-0.13.1/src/core/SourceCollection.vala:131
 #10 source_collection_destroy_and_delete_source at /usr/src/debug/shotwell-0.13.1/src/core/SourceCollection.vala:124
 #11 _source_collection_destroy_and_delete_source_marked_action at SourceCollection.c:509
 #12 data_collection_act_on_marked at /usr/src/debug/shotwell-0.13.1/src/core/DataCollection.vala:404
 #13 source_collection_destroy_marked at /usr/src/debug/shotwell-0.13.1/src/core/SourceCollection.vala:95
 #14 reparent_tag_command_destroy_subtree at /usr/src/debug/shotwell-0.13.1/src/Commands.vala:1947
Comment 1 Chris Carson 2013-05-23 15:09:56 EDT
Created attachment 752343 [details]
File: backtrace
Comment 2 Chris Carson 2013-05-23 15:10:00 EDT
Created attachment 752344 [details]
File: cgroup
Comment 3 Chris Carson 2013-05-23 15:10:03 EDT
Created attachment 752345 [details]
File: dso_list
Comment 4 Chris Carson 2013-05-23 15:10:06 EDT
Created attachment 752346 [details]
File: environ
Comment 5 Chris Carson 2013-05-23 15:10:09 EDT
Created attachment 752347 [details]
File: limits
Comment 6 Chris Carson 2013-05-23 15:10:12 EDT
Created attachment 752348 [details]
File: maps
Comment 7 Chris Carson 2013-05-23 15:10:16 EDT
Created attachment 752349 [details]
File: open_fds
Comment 8 Chris Carson 2013-05-23 15:10:19 EDT
Created attachment 752350 [details]
File: proc_pid_status
Comment 9 Chris Carson 2013-05-23 15:10:22 EDT
Created attachment 752351 [details]
File: smolt_data
Comment 10 Fedora End Of Life 2013-12-21 08:41:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 16:30:43 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.